## locales-extras-zhcn 1.0.0-1

=== debian/changelog ===
locales-extras-zhcn (1.0.0-1) unstable; urgency=low

  * Add zh_CN localization files for N900
  * Remove unused locale files

 -- Evan JIANG <firstfan@gmail.com>  Sat,  19 Dec 2009 10:35:02 +0800

locales-extras (2.3.6-2) unstable; urgency=low

  * Apply patch for zh_CN time format
  * Remove some conflicted localization files

 -- Evan JIANG <firstfan@gmail.com>  Wed,  29 Jul 2009 09:01:23 +0800

locales-extras (2.3.6-1) unstable; urgency=low

  * Add Simplified Chinese localization files

 -- Evan JIANG <firstfan@gmail.com>  Sat,  25 Jul 2009 13:23:12 +0800

locales-extras (2.3.5-2) unstable; urgency=low

  * Supported N800 (Application Installer 2007)

 -- Kimitake <kimitake@gmail.com>  Fri,  19 Jan 2007 17:38:15 -0800

locales-extras (2.3.5-1) unstable; urgency=low

  * Forked from posix-locales. 

 -- Mohammad DAMT <mdamt@mnots.eu>  Fri,  1 Dec 2006 11:04:15 +0200

posix-locales (2.3.2-13osso42) unstable; urgency=low

  * Fixes: NB#43263. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 15 Nov 2006 14:44:57 +0200

posix-locales (2.3.2-13osso41) UNRELEASED; urgency=low

  * See ChangeLog file. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 11 Sep 2006 14:21:14 +0300

posix-locales (2.3.2-13osso40) unstable; urgency=low

  * Fixes: NB#36804. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 11 Sep 2006 13:52:10 +0300

posix-locales (2.3.2-13osso39) unstable; urgency=low

  * Added build-dependency to locales package.
  * Fixes: NB#32549

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 13 Jun 2006 14:44:26 +0300

posix-locales (2.3.2-13osso38) unstable; urgency=low

  * Bugfixes: N#25452, N#28391, N#15472

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 11 May 2006 12:23:17 +0300

posix-locales (2.3.2-13osso37) unstable; urgency=low

  * Bugfixes: N#25452, N#28391, N#15472

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 11 May 2006 11:57:09 +0300

posix-locales (2.3.2-13osso36) unstable; urgency=low

  * Updated rules, moved fr_FR to the front. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 20 Apr 2006 10:01:48 +0300

posix-locales (2.3.2-13osso34) unstable; urgency=low

  * Updated rules 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 19 Apr 2006 11:52:36 +0300

posix-locales (2.3.2-13osso33) unstable; urgency=low

  * Bugfixes: N#26654

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 18 Apr 2006 16:56:43 +0300

posix-locales (2.3.2-13osso30) unstable; urgency=low

  * Update rules to install the destination directory first. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri,  7 Apr 2006 15:08:30 +0300

posix-locales (2.3.2-13osso29) unstable; urgency=low

  * New package with updates 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 29 Mar 2006 12:57:07 +0300

posix-locales (2.3.2-13osso28) unstable; urgency=low

  * New package with updates 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu,  1 Dec 2005 11:28:30 +0200

posix-locales (2.3.2-13osso27) unstable; urgency=low

  * New package with a bugfix 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu,  1 Dec 2005 11:25:16 +0200

posix-locales (2.3.2-13osso26) unstable; urgency=low

  * New package wit a bugfix

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 14 Nov 2005 09:16:39 +0200

posix-locales (2.3.2-13osso25) unstable; urgency=low

  * New package with bugfixes 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon,  3 Oct 2005 09:17:12 +0300

posix-locales (2.3.2-13osso24) unstable; urgency=low

  * New package for w39 with bugfixes 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 27 Sep 2005 12:10:20 +0300

posix-locales (2.3.2-13osso23) unstable; urgency=low

  * New package for w37 with a bugfix 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 14 Sep 2005 15:43:11 +0300

posix-locales (2.3.2-13osso22) unstable; urgency=low

  * New package for w36 with a bugfix 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri,  9 Sep 2005 09:15:54 +0300

posix-locales (2.3.2-13osso21) unstable; urgency=low

  * New package for w34 with bugfixes

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 23 Aug 2005 17:23:00 +0300

posix-locales (2.3.2-13osso20) unstable; urgency=low

  * New package for w33 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 18 Aug 2005 14:05:27 +0300

posix-locales (2.3.2-13osso19) unstable; urgency=low

  * remove am/pm string from es_MX (fixed #16495) 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri,  5 Aug 2005 17:29:29 +0300

posix-locales (2.3.2-13osso18) unstable; urgency=low

  * Cleaning the package 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed,  3 Aug 2005 16:02:44 +0300

posix-locales (2.3.2-13osso17) unstable; urgency=low

  * Added more locales (nl_NL da_DK el_GR no_NO sv_SE pt_PT) to support

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 30 Jun 2005 12:24:10 +0300

posix-locales (2.3.2-13osso16) unstable; urgency=low

  * Revert the locales back to 11 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 29 Jun 2005 12:27:10 +0300

posix-locales (2.3.2-13osso15) unstable; urgency=low

  * Reducing number of locales to 7 (en_US, en_GB, es_MX, es_ES, de_DE, fr_FR, it_IT)

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 29 Jun 2005 12:21:56 +0300

posix-locales (2.3.2-13osso14) unstable; urgency=low

  * Amended first_weekday and first_workday to a value of 2 (fix bug #12176)

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 29 Jun 2005 12:21:54 +0300

posix-locales (2.3.2-13osso13) unstable; urgency=high

  * fr_CA: Added missing country_name and country_post

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed,  1 Jun 2005 15:40:09 +0300

posix-locales (2.3.2-13osso12) unstable; urgency=low

  * en_US: Changed am_pm in LC_TIME 				
  * en_US: Added blank line in LC_TIME
  * es_ES: d_t_fmt in LC_TIME cosmetic split over several lines
  * es_ES: position of lang_lib in LC_ADDRESS changed
  * es_MX: d_t_fmt in LC_TIME cosmetic split over several lines


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install
DEB_MAKE_ENVVARS:=DESTDIR=$(PWD)/debian/tmp

## locales-extras-zhcn 1.0.0-2

=== Makefile ===
LOCALE_HEBREW=he_IL yi_US
LOCALE_INDIAN=ar_IN bn_IN en_IN hi_IN kn_IN gu_IN mr_IN ml_IN pa_IN ta_IN te_IN bn_BD 
LOCALE_ARABIC=ar_AE ar_BH ar_DZ ar_EG ar_IN ar_IQ ar_JO ar_KW ar_LB ar_LY ar_MA ar_OM ar_QA ar_SA ar_SD ar_SY ar_TN ar_YE
LOCALE_CJK=ko_KR ja_JP zh_CN zh_HK zh_SG zh_TW
#LOCALE_ALL=$(LOCALE_HEBREW) $(LOCALE_INDIAN) $(LOCALE_ARABIC) $(LOCALE_CJK)
LOCALE_CHINESE=zh_CN
LOCALE_ALL=$(LOCALE_CHINESE)

all: locale-all

locale-all: build
		
build: build-stamp
	
build-stamp:
	mkdir -p $(CURDIR)/build
	@for i in $(LOCALE_ALL); do \
		echo "Building locale $$i (UTF-8)"; \
		I18NPATH=$(CURDIR)/locales/ localedef -c --quiet \
			 --charmap=$(CURDIR)/charmaps/UTF-8 --inputfile=$$i build/$$i; \
	done
	@touch build-stamp

install: build
	@for i in $(LOCALE_ALL); do \
		echo "Installing locale $$i"; \
		mkdir -p $(DESTDIR)/usr/lib/locale/$$i; \
		cp -r $(CURDIR)/build/$$i $(DESTDIR)/usr/lib/locale; \
	done
	@for i in $(LOCALE_CHINESE); do \
		echo "Installing LC_MESSAGES $$i"; \
		mkdir -p $(DESTDIR)/usr/share/locale/$$i/LC_MESSAGES; \
		cp $(CURDIR)/LC_MESSAGES/$$i/* \
			$(DESTDIR)/usr/share/locale/$$i/LC_MESSAGES; \
	done

clean:
	rm -f build-stamp
	rm -rf $(CURDIR)/build

=== debian/changelog ===
locales-extras-zhcn (1.0.0-2) unstable; urgency=low

  * Update some tranlation strings for zh_CN

 -- Evan JIANG <firstfan@gmail.com>  Sun,  27 Dec 2009 12:43:02 +0800

=== debian/control ===
Source: locales-extras-zhcn
Section: user/system
Priority: standard
Maintainer: Evan JIANG <firstfan@gmail.com>
Standards-Version: 3.6.2
Build-Depends: libc6 (>> 2.3.2), debhelper (>>4.0.0), locales (>= 2.3.5cs2005q3.2-4.osso3), cdbs

Package: locales-extras-zhcn
Architecture: all
Depends: libc6 (>> 2.3.2)
Description: POSIX locales for Chinese regions
 The package provides locales for Chinese regions.
 And, also add the zh_CN localization files to display
 UI in Simplified Chinese language.
